<?php

class sendsms_init
{
	/*
	** Initiation du menu
	** @return void
	*/
	function menu() 
	{
		$role = get_role('administrator');
		$role->add_cap('manage_sendsms_option');
		$role->add_cap('import_users');

		add_menu_page('send-SMS', 'Send-SMS', 10, 'sendsms');
        add_submenu_page('sendsms','send-SMS', 'Message', 10, 'sendsms', array('sendsms_message','ecrireMessage'));
        add_submenu_page('sendsms','send-SMS', "Liste d'envoi", 10, 'sendsms_liste', array('sendsms_liste', 'adminListe'));
		add_submenu_page('sendsms','send-SMS', 'Historique', 10, 'sendsms_historique', array('sendsms_histo', 'historique'));

		add_options_page('sendsms', 'Send-SMS', 'manage_sendsms_option', 'sendsms_option', array('sendsms_config', 'config'));
		add_users_page('sendsms', 'Importer des utilisateurs', 10, 'sendsms_ajout', array('sendsms_user', 'importUser'));
		add_management_page('sendsms', 'Documentation', 10, 'sendsms_doc', array('sendsms_doc', 'mydoc'));
	}

	/*
	** Initiation des feuilles de style
	** @return void
	*/
	function css()
	{
		wp_enqueue_style('sendsms_jq_autocomplete', WP_PLUGIN_URL . '/' . SENDSMS_PLUGIN_DIR . '/css/jquery.autocomplete.css'); 
		wp_enqueue_style('sendsms_jq_ui',  WP_PLUGIN_URL . '/' . SENDSMS_PLUGIN_DIR . '/css/jquery-ui-1.7.2.custom.css'); 
		wp_enqueue_style('send-SMS',  WP_PLUGIN_URL . '/' . SENDSMS_PLUGIN_DIR . '/css/style.css');
		wp_enqueue_style('send-SMS',  WP_PLUGIN_URL . '/' . SENDSMS_PLUGIN_DIR . '/css/UIdialog.css');
	}
	
	/*
	** Initiation du JS
	** @return void
	*/
	function js()
	{
		wp_enqueue_script('jquery-ui-core');
		wp_enqueue_script('jquery-ui-dialog');
		wp_enqueue_script('jquery-jquery-ui',  WP_PLUGIN_URL . '/' . SENDSMS_PLUGIN_DIR . '/js/jquery-ui-1.8.16.custom.min.js');
		wp_enqueue_script('sendsms_main',  WP_PLUGIN_URL . '/' . SENDSMS_PLUGIN_DIR . '/js/main.js');
		wp_enqueue_script('sendsms_jq_datatable',  WP_PLUGIN_URL . '/' . SENDSMS_PLUGIN_DIR . '/js/jquery.dataTables.js');
		wp_enqueue_script('sendsms_jq_autocomplete',  WP_PLUGIN_URL . '/' . SENDSMS_PLUGIN_DIR . '/js/jquery.autocomplete.js');
		wp_enqueue_script('sendsms_jq_timepicker',  WP_PLUGIN_URL . '/' . SENDSMS_PLUGIN_DIR . '/js/jquery-ui-timepicker-addon.js');
		wp_enqueue_script('sendsms_jq_truncatable.js',  WP_PLUGIN_URL . '/' . SENDSMS_PLUGIN_DIR . '/js/jquery.truncatable.js');
	}
	
	/*
	** Initiation du bloc d'dition WYSIWYG
	** @return void
	*/
	function init_wysiwyg()
	{
		wp_enqueue_script('editor');
		add_thickbox();
		wp_enqueue_script('media-upload');
		add_action('admin_print_footer_scripts', 'wp_tiny_mce', 25);
		wp_enqueue_script('quicktags');
	}
}

?>